Subject: bug#11964: closed (Re: bug#11964: describe-char causes a fatal error (abort trap: 6) in non-windowed mode)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 24 Nov 2012 18:02:03 +0000

Your bug report

#11964: describe-char causes a fatal error (abort trap: 6) in non-windowed mode

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
11964: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=11964
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#11964: describe-char causes a fatal error (abort trap: 6) in non-windowed mode
From: Jan Djärv <[email-masked]>
To: Chong Yidong <[email-masked]>
Cc: Dan Maftei <[email-masked]>, [email-masked]
Date: Sat, 24 Nov 2012 18:59:54 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello.

This has been fixed in the trunk.
The problem was that ns-win created fontsets unconditionally during load and that lead to problems when running with -nw, in face_for_char.  Shouldn't fontsets/font objects be ignored if the terminal is a non-GUI one?

	Jan D.

23 nov 2012 kl. 08:07 skrev Jan Djärv <[email-masked]>:

> Hello.
> 
> 23 nov 2012 kl. 07:26 skrev Chong Yidong <[email-masked]>:
> 
>> Jan Djärv <[email-masked]> writes:
>> 
>>> Here is a backtrace.  The fontdriver does not have an encode_char
>>> function (it is NULL).  But I don't know which driver this is.  Lisp
>>> backtrace is broken it seems.
>> 
>> Could you do
>> 
>> f 1
>> pp face->font->driver->type
>> 
>> and see what font driver it is (or if there is one)?
> 
> Basically no, because
> 
> p face->font->driver
> $3 = (struct font_driver *) 0x3
> 
> Uninitialized memory?
> 
> 	Jan D.
> 

Subject: describe-char causes a fatal error (abort trap: 6) in non-windowed mode
From: Dan Maftei <[email-masked]>
To: [email-masked]
Date: Mon, 16 Jul 2012 23:51:50 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

GNU Emacs 24.1.1 (x86_64-apple-darwin11.4.0, NS apple-appkit-1138.47)

emacs -Q -nw
n C-x 8 <RET> 0303 <RET> C-b C-u C-x =

This crashes emacs. I am returned to bash. "Fatal error (10)" is written to
the screen. After about 3 seconds, "Abort trap: 6" is appended to the same
line, and I am returned to the prompt.

This does not happen in the windowed version (Emacs.app)

every locale variable is en_GB.UTF-8

TERM is dumb.

This (http://debbugs.gnu.org/cgi/bugreport.cgi?bug=9172) might be of use.
It describes a similar bug on emacs 23.3 running on an xterm, but the
program does not crash.

Cheers,
Dan